package teen

import (
	"encoding/json"
	"math/rand"
	"os"
	"server/game"
	"server/game/room"
	"server/msg"
	"time"

	"github.com/name5566/leaf/log"
)

type RobotNames struct {
	Names []string `json:"name"`
}

// 随即印度人名字
func randomIndianName() string {
	data, err := os.ReadFile("/home/zjh/teen_patti/bin/gamedata/robot_name.json")
	if err != nil {
		log.Fatal("%v", err)
	}
	var Names RobotNames
	err = json.Unmarshal(data, &Names)
	if err != nil {
		log.Fatal("%v", err)
	}
	return Names.Names[rand.Intn(len(Names.Names))]
}

type RobotHeadImages struct {
	HeadImages []string `json:"head_image"`
}

// 随即印度人头像
func randomIndianHeadImage() string {
	data, err := os.ReadFile("/home/zjh/teen_patti/bin/gamedata/robot_head_image.json")
	if err != nil {
		log.Fatal("%v", err)
	}

	var images RobotHeadImages
	err = json.Unmarshal(data, &images)
	if err != nil {
		log.Fatal("%v", err)
	}
	return images.HeadImages[rand.Intn(len(images.HeadImages))]
}

// 人机操作
func robotOpt(r *room.Room, sitPos int32, optType msg.PlayerOptType) {
	if optType == msg.PlayerOptType_OPT_SELECT {
		robotSelect(r, sitPos)
	}
	// switch optType {
	// case msg.PlayerOptType_OPT_SELECT:
	// 	robotSelect(r, sitPos)
	// case msg.PlayerOptType_OPT_CHAAL:
	// 	robotChaal(r, sitPos)
	// case msg.PlayerOptType_OPT_SHOW:
	// 	robotShow(r, sitPos)
	// case msg.PlayerOptType_OPT_PACKED:
	// 	robotPacked(r, sitPos)
	// }
}

func robotSelect(r *room.Room, sitPos int32) {
	log.Debug("robotSelect, sitPos: %d", sitPos)
	game.Module.Skeleton.AfterFunc(time.Second*1, func() {
		robotChaal(r, sitPos)
	})

}

func robotPack(r *room.Room, sitPos int32) {

}

func robotChaal(r *room.Room, sitPos int32) {
	//获取1-5的随机数
	chaalAmount := rand.Intn(5) + 1
	game.Module.Skeleton.AfterFunc(time.Second*time.Duration(chaalAmount), func() {
		recvPlayerOptAction(r, sitPos, msg.PlayerOptType_OPT_CHAAL)
	})
}

func robotShow(r *room.Room, sitPos int32) {

}

func robotPacked(r *room.Room, sitPos int32) {

}
